from flask import Flask


def create_app(config_name='default'):
    """应用工厂函数"""
    app = Flask(__name__)

    # 加载配置
    from app.config import config_by_name
    app.config.from_object(config_by_name[config_name])

    # 注册蓝图
    from app.api import api_bp
    app.register_blueprint(api_bp, url_prefix='/api')

    @app.route('/health')
    def health_check():
        """健康检查端点"""
        return {"status": "healthy"}, 200

    return app
