import logging

class ImageUpload:
    __logger = logging.getLogger(__name__)

    def __init__(self, feature_extractor, milvus):
        self.feature_extractor = feature_extractor
        self.milvus = milvus

    def upload_one(self, bucket, image, key):
        self.upload_many(bucket, {image: key})

    def upload_many(self, bucket, image2keys):
        images = []
        keys = []
        vectors = []

        for image2key in image2keys:
            image = image2key["image"]
            key = image2key["key"]
            vector = self.feature_extractor.extract_from_url(image)
            images.append(image)
            keys.append(key)
            vectors.append(vector)

        entities = [
            images,
            keys,
            vectors
        ]

        self.milvus.insert(bucket, entities)



